<template>
  <div class="flex items-center flex-auto">
    <img
      class="w-4 mx-4"
      :src="getAssetImage('assets/theme/common/icon/notice.svg')"
    />
    <Vue3Marquee class="w-full">
      <span class="text-sm announcement-text">{{ announcement }}</span>
    </Vue3Marquee>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";

export default defineComponent({
  props: {
    announcement: {
      type: String,
      required: true,
    },
  },
  setup() {
    const { getAssetImage } = commonHelper;
    return {
      getAssetImage,
    };
  },
});
</script>
<style scoped lang="scss">
.announcement-text {
  color: var(--text5, white);
  opacity: 0.7;
}
</style>
